petsc-3.4.2 2013-07-02

# TSSetInitialTimeStep

Sets the initial timestep to be used, as well as the initial time.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetInitialTimeStep(TS ts,PetscReal initial_time,PetscReal time_step)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| initial_time | - the initial time
| time_step | - the size of the timestep

### See Also

TSSetTimeStep(), TSGetTimeStep()

### Keywords

TS, set, initial, timestep

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex12.c.html